%global npm_name node-uuid

Summary:       Simple, fast generation of RFC4122 UUIDS
Name:          nodejs-%{npm_name}
Version:       1.4.3
Release:       1%{?dist}
License:       MIT
URL:           https://github.com/broofa/node-uuid
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
Rigorous implementation of RFC4122 (v1 and v4) UUIDs.

Simple, fast generation of RFC4122 UUIDS.

Features:

    Generate RFC4122 version 1 or version 4 UUIDs
    Runs in node.js and all browsers.
    Registered as a ComponentJS component ('broofa/node-uuid').
    Cryptographically strong random # generation on supporting platforms
    1.1K minified and gzip'ed (Want something smaller? Check this out! )
    Annotated source code
    Comes with a Command Line Interface for generating uuids on the command line

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr benchmark bin package.json test uuid.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{npm_name}/bin/uuid %{buildroot}%{_bindir}/uuid

%files
%doc LICENSE.md README.md
%{nodejs_sitelib}/%{npm_name}
%{_bindir}/uuid

%changelog
* Thu Sep 10 2015 Troy Dawson <tdawson@redhat.com> - 1.4.3-1
- Initial package
